#!/usr/local/bin/ruby
#

require 'gplot/Gnuplot'

#-------------------------------------------------------
# ArrayData demonstration
#-------------------------------------------------------

# Set up the arrays containing that will be plotted.
#
x = (1..100).to_a
y = x.collect { |i| i*i }

# Create the new plot object and set the global plot parameters
#
plot = Gnuplot::Plot.new()
plot.title "Line plot using ArrayData" 
plot.xlabel "x" 
plot.ylabel "y" 

# Create an ArrayData object to plot the data and set the parameters for the
# plot item.  Then plot it.
#
ds = Gnuplot::ArrayData.new(y, "with"=>"lines", "title" => "Data", "xgrid"=>x)

plot.draw ds
s = gets

#-------------------------------------------------------
# StringFunc demonstration
#-------------------------------------------------------

# Draw a new plot that is sin(x) over the range 0, 2*pi. Remember that since
# the strings are being passed directly to gnuplot, we can take advantage of
# its built in variables.
#
plot.title "Sin plot using StringFunc"
plot.ylabel "sin(x)"
plot.draw Gnuplot::StringFunc.new( "sin(x)", "xrange" => "[0:2*pi]",
				  "yrange" => "[-1:1]")
